#
# spec file for package perl-HTML-Clean
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-HTML-Clean
Version:        1.4
Release:        1.23
%define cpan_name HTML-Clean
Summary:        Cleans up HTML code for web browsers, not humans
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AZ/AZJADFTRE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The HTML::Clean module encapsulates a number of common techniques for
minimizing the size of HTML files. You can typically save between 10% and
50% of the size of a HTML file using these methods. It provides the
following features:

* Remove unneeded whitespace (beginning of line, etc)

* Remove unneeded META elements.

* Remove HTML comments (except for styles, javascript and SSI)

* Replace tags with equivalent shorter tags (<strong> --> <b>)

* etc.

The entire process is configurable, so you can pick and choose what you want
to clean.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO

%changelog
* Sat Nov  9 2019 <timueller+perl@suse.de>
- Manually fix typos (PR https://github.com/poizon/HTML-Clean/pull/7 is still
  open)
* Mon Sep 16 2019 <timueller+perl@suse.de>
- updated to 1.4
  see /usr/share/doc/packages/perl-HTML-Clean/Changes
* Tue Sep 10 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Spell corrections in description section
* Tue Sep 10 2019 <timueller+perl@suse.de>
- updated to 1.2
  see /usr/share/doc/packages/perl-HTML-Clean/Changes
  1.2 Tue Sep 9 13:56 MSK 2019
  - Fix pod
  1.1 Tue Sep 9 12:30 MSK 2019
  - Fix pod. Add github repository
* Tue Aug 27 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Drop perl-HTML-Clean-0.8-IO.diff as upstream moved to IO::File
* Thu Aug 22 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.9
  see /usr/share/doc/packages/perl-HTML-Clean/Changes
  0.9 Tue Aug 20 09:24 PDT 2019
  - Fix warnings - use IO::File instead deprecated module IO.
* Fri Aug 11 2017 pgajdos@suse.com
- do not require lynx for build (it is used by tests, but test
  are not run) [bsc#1052977]
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Sep  9 2005 anicka@suse.cz
- remove unused IO (#56387)
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix fielist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Jan 18 2002 rvasice@suse.cz
- spec file cleanup
* Mon Nov 20 2000 rolf@suse.de
- extracted from perlmod package
- update to version 0.8
